We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6622 - Embedded PDF viewer can not handle escaped article URLs when disable_path_info is on
Embedded PDF viewer can not handle escaped article URLs when disable_path_inf...
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Reading Tools
2.3.5
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 14:13 PDT by Matthew Crider
Modified: 2011-05-02 17:48 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS pre-2.3.5 (3.24 KB, patch)
2011-04-27 15:29 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2011-04-27 14:13:38 PDT
The escaped URL to view a PDF is not properly handled by the PDFObject script, so no PDF is displayed.
Comment 1 Matthew Crider 2011-04-27 14:16:14 PDT
Note that this isn't a problem for WebKit browsers, i.e. when the <embed> tag is used, just when the URL is used in JS-land.
Comment 2 Alec Smecher 2011-04-27 15:29:04 PDT
Created attachment 3496 [details]
Patch against OJS pre-2.3.5

Matt, could you try / review this?
Comment 3 Matthew Crider 2011-04-27 17:06:57 PDT
Alec, The patch works and looks good, tested in multiple browsers with and without path_info on.  I'll commit it for ye.  And this should also go in stable?
Comment 4 Alec Smecher 2011-04-27 17:32:42 PDT
Yes, please.
Comment 5 Matthew Crider 2011-04-28 11:42:56 PDT
Pushed to stable.